package com.chenyang.nse.bussiness.entity.orm.table.core.strategy.masking.relevance;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import java.util.List;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "t_console_appdm_tableinfo"
)
public class MaksingJoinTableInfo extends TInitEntity {
   private String schemaname;
   private String tablename;
   private String editstate;
   @Transient
   private List<MaksingJoinFieldInfo> fieldinfo;
   private String maskingid;

   public String getSchemaname() {
      return this.schemaname;
   }

   public void setSchemaname(String schemaname) {
      this.schemaname = schemaname;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getEditstate() {
      return this.editstate;
   }

   public void setEditstate(String editstate) {
      this.editstate = editstate;
   }

   public List<MaksingJoinFieldInfo> getFieldinfo() {
      return this.fieldinfo;
   }

   public void setFieldinfo(List<MaksingJoinFieldInfo> fieldinfo) {
      this.fieldinfo = fieldinfo;
   }

   public String getMaskingid() {
      return this.maskingid;
   }

   public void setMaskingid(String maskingid) {
      this.maskingid = maskingid;
   }
}
